From: [email-masked]
Date: Fri, 27 Jul 2001 20:39:37 -0700

Fri, 27 Jul 2001 22:49:33 +0100
Date: Fri, 27 Jul 2001 21:45:27 +0100
From: David Hopwood <[email-masked]>
To: Roozbeh Pournader <[email-masked]>, [email-masked]
Subject: Re: [idn] Common-case optimization of nameprep - correction
Sender: [email-masked]
Precedence: bulk

-----BEGIN PGP SIGNED MESSAGE-----

Roozbeh Pournader wrote:
> On Fri, 27 Jul 2001, David Hopwood wrote:
>
> > This should be:
> >    - characters for which the NFKC_QuickCheck flag in
> >      DerivedNormalizationProperties-3_1_0.txt is either NFKC_NO or
NFKC_MAYBE.
>
> I think refering to Unicode data files other than the originals is a
bad
> thing.

It would not be a normative reference: the information would be used to
calculate the set X, and that set would be given in the nameprep spec.
This causes no problems because each version of nameprep corresponds to
a
specific version of Unicode.

> The format will change, the level of information they provide will
change,
> ...
>
> For example, take a look at what happened to 'PropList.txt' between
3.0.1:
>
>         http://www.unicode.org/Public/3.0-Update1/PropList-3.0.1.txt
>
> and 3.1.0:
>
>         http://www.unicode.org/Public/3.1-Update/PropList-3.1.0.txt

The latter is the standard machine readable format used by all the
Unicode
files; the former isn't, so it's obvious why the format changed in this
case.

- --
David Hopwood <[email-masked]>

Home page & PGP public key: http://www.users.zetnet.co.uk/hopwood/
RSA 2048-bit; fingerprint 71 8E A6 23 0E D3 4C E5  0F 69 8C D4 FA 66 15
01
Nothing in this message is intended to be legally binding. If I revoke a
public key but refuse to specify why, it is because the private key has
been
seized under the Regulation of Investigatory Powers Act; see
www.fipr.org/rip